class Dipendente {

    public String nome;
    public int stipendio;

    public void stipendio(Dipendente altro) {
        if (altro instanceof Collaudatore) {
            altro.stipendio = 800;
        } else if (altro instanceof ResponsabileProgetto) {
            altro.stipendio = 2500;
        } else if (altro instanceof Dipendente) {
            altro.stipendio = 1500;
        }
    }
}

class Collaudatore extends Dipendente {
}

class ResponsabileProgetto extends Dipendente {
}

public class Programma {

    public static void main(String[] args) {
        Dipendente giacomo = new Dipendente();
        Dipendente luigi = new ResponsabileProgetto();
        Dipendente fabio = new Collaudatore();
        luigi.nome = "Luigi";
        fabio.stipendio(luigi); //Esempio di chiamata al metodo
        System.out.println(luigi.stipendio + "€");
    }
}
